statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009, 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Gamma

Contents

- Constructors
- Accessors

Description

The gamma distribution. This is a continuous probability distribution with two parameters, k and ϑ. If k is integral, the distribution represents the sum of k independent exponentially distributed random variables, each of which has a mean of ϑ.

Synopsis

- data GammaDistribution
- gammaDistr :: Double -> Double -> GammaDistribution
- improperGammaDistr :: Double -> Double -> GammaDistribution
- gdShape :: GammaDistribution -> Double
- gdScale :: GammaDistribution -> Double

# Documentation

data GammaDistribution Source

The gamma distribution.

Instances

Eq GammaDistribution Source |
Data GammaDistribution Source |
Read GammaDistribution Source |
Show GammaDistribution Source |
Generic GammaDistribution Source |
ToJSON GammaDistribution Source |
FromJSON GammaDistribution Source |
Binary GammaDistribution Source |
ContGen GammaDistribution Source |
MaybeEntropy GammaDistribution Source |
Variance GammaDistribution Source |
MaybeVariance GammaDistribution Source |
Mean GammaDistribution Source |
MaybeMean GammaDistribution Source |
ContDistr GammaDistribution Source |
Distribution GammaDistribution Source |
type Rep GammaDistribution Source |

# Constructors

gammaDistr Source

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

improperGammaDistr Source

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. This constructor do not check whether parameters are valid

# Accessors

gdShape :: GammaDistribution -> Double Source

Shape parameter, k.

gdScale :: GammaDistribution -> Double Source

Scale parameter, ϑ.